﻿using System;
using System.Threading.Tasks;
using StablePoint.Hardware.GhiFezHat;

namespace GadgePiTemplate {
    public sealed partial class MainPage {
        /// <summary>
        /// Initializes FEZ HAT, hiding the async/await stuff.
        /// </summary>
        private void InitializeHat() {
            try {
                Task.Run(async () => {
                    _theHat = await FezHat.CreateAsync();
                }).Wait();
            } catch (Exception) {
                // Swallowing.
            }
        }
    }
}